Lingxing
切换旧版

查询STA任务详情

POST/amzStaServer/openapi/inbound-plan/detail

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-plan/detailHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
sidinteger必填
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-plan/detail?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
addressVOobject必填
发货地址
隐藏子属性
addressLine1string必填
街道地址1
addressLine2string必填
街道地址2
citystring必填
城市
countryCodestring必填
国家code
countryNamestring必填
国家名称
emailstring必填
邮箱
phoneNumberstring必填
电话号码
postalCodestring必填
邮政编码
shipperNamestring必填
发货方名称
stateOrProvinceCodestring必填
州/省/地区
gmtCreatestring必填
创建时间
gmtModifiedstring必填
更新时间
inboundPlanIdstring必填
STA任务编号
planCreateTimestring必填
计划创建时间
planNamestring必填
STA任务名称
planUpdateTimestring必填
计划更新时间
productListarray<object>必填
商品信息
隐藏子属性
asinstring必填
asin
fnskustring必填
fnsku
mskustring必填
msku
parentAsinstring必填
父asin
productNamestring必填
品名
quantityinteger必填
申报量
skustring必填
sku
titlestring必填
标题(【listing】中的标题)
urlstring必填
图片url
shipmentListarray<object>必填
货件信息
隐藏子属性
shipmentIdstring必填
货件id
shipmentConfirmationIdstring必填
货件单号
示例 FBA19M79VH0H
statusstring必填
货件状态:
WORKING
READY_TO_SHIP
SHIPPED
RECEIVING
CANCELLED
DELETED
CLOSED
ERROR
IN_TRANSIT
DELIVERED
CHECKED_IN
UNCONFIRMED
statusstring必填
STA任务状态:
ACTIVE 进行中
VOIDED 已取消
SHIPPED 已发货
position_typeinteger必填
分仓方式,1-先装箱再分仓,2-先分仓再装箱
示例 1

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "574FB0B8-FD6E-8D29-91FD-295B55CF5398",
    "response_time": "2024-07-31 14:41:25",
    "data": {
        "addressVO": {
            "addressLine1": "街道地址1",
            "addressLine2": "街道地址2",
            "city": "城市",
            "countryCode": "国家code",
            "countryName": "国家名称",
            "email": "邮箱",
            "phoneNumber": "电话号码",
            "postalCode": "邮政编码",
            "shipperName": "发货方名称",
            "stateOrProvinceCode": "州/省/地区"
        },
        "gmtCreate": "创建时间",
        "gmtModified": "更新时间",
        "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
        "planCreateTime": "计划创建时间",
        "planName": "STA任务名称",
        "planUpdateTime": "计划更新时间",
        "productList": [{
            "asin": "asin",
            "fnsku": "fnsku",
            "msku": "msku",
            "parentAsin": "父asin",
            "productName": "品名",
            "quantity": "申报量",
            "sku": "sku",
            "title": "标题(【listing】中的标题)",
            "url": "图片url"
        }],
        "shipmentList": [{
            "shipmentId": "货件id",
            "shipmentConfirmationId": "货件单号",
            "status": "货件状态"
        }],
        "status": "STA任务状态"
    }
}